> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Vehicle Eligibility Check Results

> Get the eligibility results for all VINs that were sent in a request


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- NOT_PERMITTED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml get /v1/vehicles/eligibility/{id}/results
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/eligibility/{id}/results:
    get:
      tags:
        - Vehicle Eligibility
      summary: Bulk Vehicle Eligibility Check Results
      description: >-
        Get the eligibility results for all VINs that were sent in a request



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - NOT_PERMITTED

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: >-
        bulk_vehicle_eligibility_check_results_v1_vehicles_eligibility__id__results_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: maxPageSize
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Max page size
            description: Max size of the returned list.
          description: Max size of the returned list.
        - name: currentPage
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Current page
            description: Current page
          description: Current page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResults_SingleEligibilityResult_'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    PageResults_SingleEligibilityResult_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/SingleEligibilityResult'
          type: array
          title: Results
          default: []
        totalResults:
          type: integer
          title: Totalresults
          default: 0
      type: object
      title: PageResults[SingleEligibilityResult]
    SingleEligibilityResult:
      properties:
        rowId:
          type: integer
          title: Rowid
        vin:
          type: string
          maxLength: 17
          minLength: 17
          pattern: ^[A-Z0-9]*$
          title: Vin
          description: Vehicle identification number (VIN).
        make:
          anyOf:
            - type: string
              enum:
                - ABARTH
                - ALFA ROMEO
                - AUDI
                - BMW
                - CHRYSLER
                - CITROEN
                - CUPRA
                - DODGE
                - DS AUTOMOBILES
                - FIAT
                - FORD
                - HYUNDAI
                - JEEP
                - KIA
                - LANCIA
                - LEXUS
                - MASERATI
                - MERCEDES BENZ
                - MINI
                - NISSAN
                - OPEL
                - PEUGEOT
                - POLESTAR
                - RAM
                - RENAULT
                - SEAT
                - SKODA
                - TESLA
                - TOYOTA
                - VAUXHALL
                - VOLKSWAGEN
                - VOLVO
              title: MakeEnum
              description: >-
                Implemented makes enum.


                Input normalization and aliases are handled via `from_input` /
                `_missing_`, so values like

                "Mercedes", "MERCEDES-BENZ", or "MERCEDES_BENZ" resolve to the
                canonical enum.


                OpenAPI exposure is filtered/normalized in
                `__get_pydantic_json_schema__`.


                When updating this enum you should also consider updating the
                public docs:
                    docs/public/connect-api/tools/mintlify/overview/supported-oems.mdx
            - type: 'null'
          description: Manufacturer of the vehicle
        status:
          $ref: '#/components/schemas/EligibilityVinEntryStatusEnum'
          description: The current status of the eligibility check
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
          description: >-
            If there was an error with the check, this will have more
            information
      type: object
      required:
        - rowId
        - vin
        - status
      title: SingleEligibilityResult
      description: Results for a single vin sent in the bulk eligibility request
    EligibilityVinEntryStatusEnum:
      type: string
      enum:
        - NOT_SUPPORTED
        - VALIDATION_ERROR
        - PENDING
        - SUBMITTED
        - INELIGIBLE_PENDING_FAILURE_REASON
        - ELIGIBLE
        - INELIGIBLE
        - FAILED
      title: EligibilityVinEntryStatusEnum
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````